Search records in a workspace

Required scope: records:read

To mirror the functionality of the Asana web app's advanced search feature, this endpoint allows you to build complex filters to find and retrieve records across all of a workspace's tables.
Custom field filters are also supported, using the same custom_fields.{gid}.* query parameters documented for task search.

Premium access

Like task search, this endpoint is only available to premium Asana users. Making a search request using credentials of a non-premium user will result in a 402 Payment Required error.

Pagination

Search results are not stable; repeating the same query multiple times may return the data in a different order, even if the data do not change. Page sizes are limited to a maximum of 100 items, and can be specified by the limit query parameter.

Eventual consistency

Changes in Asana are forwarded to our search infrastructure to be indexed, which can take between 10 and 60 seconds to complete under normal operation. If you need read-your-write behavior, use Get records in a table instead.

Path Params
string
required

Globally unique identifier for the workspace or organization.

Query Params
opt_fields
array of strings

This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the input/output options guide.

opt_fields
boolean

Provides “pretty” output.
Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

integer
1 to 100

Results per page.
The number of objects to return per page. The value must be between 1 and 100.

string

Performs full-text search on the record name

string

Comma-separated list of team IDs

string

Comma-separated list of user identifiers. This can either be the string "me", an email, or the gid of a user.

string

Comma-separated list of user identifiers. This can either be the string "me", an email, or the gid of a user.

string

Comma-separated list of table IDs

string

Comma-separated list of table IDs

string

Comma-separated list of table IDs

date

ISO 8601 date string

date

ISO 8601 date string

date | null

ISO 8601 date string or null

date-time

ISO 8601 datetime string

date-time

ISO 8601 datetime string

string
enum
Defaults to modified_at

One of created_at or modified_at, defaults to modified_at

Allowed:
boolean
Defaults to false

Default false

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json